package gran.model;

import java.io.Serializable;

/** This class describe relation between 2 categories.
 * If entry here exists for some category pair, user
 * can create specified child category for specified
 * category
 */
public class Catrelation implements Serializable
{
    private String id; //identifier

    private Category category;
    private Category child;


    public Catrelation(String id, Category category, Category child)
    {
        this.id = id;
        this.category = category;
        this.child = child;
    }

    public Catrelation()
    {
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public Category getCategory()
    {
        return this.category;
    }

    public void setCategory(Category category)
    {
        this.category = category;
    }

    public Category getChild()
    {
        return this.child;
    }

    public void setChild(Category cat)
    {
        this.child = cat;
    }

    public boolean equals(Object o)
    {
        return ((o instanceof Catrelation) && this.equals((Catrelation) o));
    }

    public boolean equals(Catrelation c)
    {
        return this.getId().equals(c.getId());
    }


}
