package gran.model;

import java.io.Serializable;
import java.util.Set;
import java.util.HashSet;

public class EmailType implements Serializable {
    private String id; //identifier
    private String name; //persistent
    private Set userSet = new HashSet(); //persistent

    public EmailType(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public EmailType() {

    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Set getUserSet()
    {
        return userSet;
    }

    public void setUserSet(Set userSet)
    {
        this.userSet = userSet;
    }
}
