package gran.model;

import java.io.Serializable;

/** Describe information about user right (role) and
 * user group (prstatus) relation
 */
public class Rolestatus implements Serializable
{
    private String id; //identifier

    private Role role;
    private Prstatus prstatus;

    public Rolestatus(String id, Prstatus prstatus, Role role)
    {
        this.id = id;
        this.prstatus = prstatus;
        this.role = role;
    }

    public Rolestatus()
    {
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public Prstatus getPrstatus()
    {
        return this.prstatus;
    }

    public void setPrstatus(Prstatus prstatus)
    {
        this.prstatus = prstatus;
    }

    public Role getRole()
    {
        return this.role;
    }

    public void setRole(Role role)
    {
        this.role = role;
    }

}
