package gran.model;

import java.io.Serializable;

/** Describes transitions between 2 states. Each mstatus
 * is a set of transitions
 */
public class Transition implements Serializable
{
    private String id; //identifier

    private Status start;
    private Status finish;
    private Mstatus mstatus;

    public Transition(String id, Status start, Status finish, Mstatus mstatus)
    {
        this.id = id;
        this.start = start;
        this.finish = finish;
        this.mstatus = mstatus;
    }

    public Transition()
    {
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public Status getStart()
    {
        return this.start;
    }

    public void setStart(Status start)
    {
        this.start = start;
    }

    public Status getFinish()
    {
        return this.finish;
    }

    public void setFinish(Status finish)
    {
        this.finish = finish;
    }

    public Mstatus getMstatus()
    {
        return this.mstatus;
    }

    public void setMstatus(Mstatus mstatus)
    {
        this.mstatus = mstatus;
    }

}
