package gran.model;

import java.io.Serializable;
import java.sql.Timestamp;

/** Describes value of UDF */
public class Udfval implements Serializable
{

    private String id; //identifier
    private String str; //persistent
    private /*Integer*/ Double num; //persistent
    private Timestamp dat; //persistent

    private Udflist udflist;
    private Udf udf;
    private Udfsource udfsource;


    public Udfval(String id, String str, /*Integer*/Double num, Timestamp dat, Udflist udflist, Udf udf, Udfsource udfsource)
    {
        this.id = id;
        this.str = str;
        this.num = num;
        this.dat = dat;
        this.udflist = udflist;
        this.udf = udf;
        this.udfsource = udfsource;
    }

    public Udfval()
    {
    }

    public Udfval(String id, Udf udf, Udfsource udfsource)
    {
        this.id = id;
        this.udf = udf;
        this.udfsource = udfsource;
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getStr()
    {
        return this.str;
    }

    public void setStr(String str)
    {
        this.str = str;
    }

    public /*Integer*/Double getNum()
    {

        return this.num;
    }

    public void setNum(/*Integer*/Double num)
    {
        this.num = num;
    }

    public Timestamp getDat()
    {
        return this.dat;
    }

    public void setDat(Timestamp dat)
    {
        this.dat = dat;
    }

    public Udflist getUdflist()
    {
        return this.udflist;
    }

    public void setUdflist(Udflist udflist)
    {
        this.udflist = udflist;
    }

    public Udf getUdf()
    {
        return this.udf;
    }

    public void setUdf(Udf udf)
    {
        this.udf = udf;
    }

    public Udfsource getUdfsource()
    {
        return this.udfsource;
    }

    public void setUdfsource(Udfsource udfsource)
    {
        this.udfsource = udfsource;
    }

}
