package gran.model;

import java.io.Serializable;

/** Describes filter conditions */
public class Fvalue implements Serializable
{
    private String id; //identifier
    private String key; //persistent
    private String value; //persistent

    private Filter filter;


    public Fvalue(String id, Filter filter, String key, String value)
    {
        this.id = id;
        this.filter = filter;
        this.key = key;
        this.value = value;
    }

    public Fvalue()
    {
    }

    public Fvalue(String id, Filter filter)
    {
        this.id = id;
        this.filter = filter;
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public Filter getFilter()
    {
        return this.filter;
    }

    public void setFilter(Filter filter)
    {
        this.filter = filter;
    }

    public String getKey()
    {
        return this.key;
    }

    public void setKey(String key)
    {
        this.key = key;
    }

    public String getValue()
    {
        return this.value;
    }

    public void setValue(String value)
    {
        this.value = value;
    }

}
