package gran.model;

import java.util.Set;
import java.util.HashSet;

public class Longtext implements Comparable {
    private String id; //identifier
    private Longtext reference;
    private Integer order;
    private String value;

    private Set udfFormulaSet;

    public Set getUdfFormulaSet() {
        return udfFormulaSet;
    }

    public void setUdfFormulaSet(Set udfFormulaSet) {
        this.udfFormulaSet = udfFormulaSet;
    }

    public Set getMessageSet() {
        return messageSet;
    }

    public void setMessageSet(Set messageSet) {
        this.messageSet = messageSet;
    }

    private Set messageSet;

    public Set getValues() {
        return values;
    }

    public void setValues(Set values) {
        this.values = values;
    }

    private Set values;


    public Set getTaskSet() {
        return taskSet;
    }

    public void setTaskSet(Set filterSet) {
        this.taskSet = filterSet;
    }

    private Set taskSet = new HashSet(); //persistent

    public Longtext(String id, Integer order, String value) {
    this.id = id;
    this.order = order;
    this.value = value;

    }


        public Longtext(String id, Longtext reference, Integer order, String value)
        {
            this.id = id;
            this.reference = reference;
            this.order = order;
            this.value = value;
        }

    public Longtext() {
    }




        public String getId()
        {
            return this.id;
        }

        public void setId(String id)
        {
            this.id = id;
        }

        public String getValue() {
            return value;
        }



    public void setValue(String value) {
        this.value = value;
    }

    public Longtext getReference() {
        return reference;
    }

    public void setReference(Longtext reference) {
        this.reference = reference;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }


    public boolean equals(Object o) {
        return ((o instanceof Longtext) && this.equals((Longtext) o));
    }

    public boolean equals(Longtext c) {
        return this.getId().equals(c.getId());
    }



        public int compareTo(Object lon){
        int i = getOrder().compareTo(((Longtext)lon).getOrder());
        if (i==0) return (getOrder().toString()+getId()).compareTo(((Longtext)lon).getOrder()+((Longtext)lon).getId());
        else return i;
    }

    public String toString(){
           return this.value;
    }

}
