package gran.model;

import java.io.Serializable;

/** This class defines relation between message type and user group
 */
public class Mprstatus implements Serializable, Comparable
{
    private String id; //identifier
    private String type; //persistent

    private Mstatus mstatus;
    private Prstatus prstatus;


    public Mprstatus(String id, String type, Mstatus mstatus, Prstatus prstatus)
    {
        this.id = id;
        this.type = type;
        this.mstatus = mstatus;
        this.prstatus = prstatus;
    }

    public Mprstatus()
    {
    }

    public Mprstatus(String id, Mstatus mstatus, Prstatus prstatus)
    {
        this.id = id;
        this.mstatus = mstatus;
        this.prstatus = prstatus;
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getType()
    {
        return this.type;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public Mstatus getMstatus()
    {
        return this.mstatus;
    }

    public void setMstatus(Mstatus mstatus)
    {
        this.mstatus = mstatus;
    }

    public Prstatus getPrstatus()
    {
        return this.prstatus;
    }

    public void setPrstatus(Prstatus prstatus)
    {
        this.prstatus = prstatus;
    }

    public int compareTo(Object it)
    {
        int i = this.type.compareTo(((Mprstatus) it).getType());
        if (i==0) return (type+id).compareTo(((Mprstatus) it).getType()+((Mprstatus) it).getId());
        else return i;
    }

}
