package gran.model;

public class Named implements Comparable {

    protected String name;
    protected String id;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public int compareTo(Object o){
        if (name == null) {
            return 1;
        }
        String other = ((Named) o).getName();
        if (other == null) {
            return -1;
        }
        int res = this.getName().compareTo(other);
        if (res==0 ) return this.getCode().compareTo(((Named) o).getCode());
        else return res;

    }

    private String getCode(){
        return getName() + getId();
    }

    public void setId(String s){
        this.id=s;
    }

    public boolean equals(Object o){
        return o instanceof Named && this.getId().equals(((Named)o).getId());
    }
}
