package gran.model;

import java.io.Serializable;

/** This class describes email notification settings
 * for specified task, filter and user.
 */
public class Notification implements Serializable
{
    private String id; //identifier

    private User user;
    private Filter filter;
    private Task task;


    public Notification(String id, User user, Filter filter, Task task)
    {
        this.id = id;
        this.user = user;
        this.filter = filter;
        this.task = task;
    }

    public Notification()
    {
    }

    public String getId()
    {
        return this.id;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public User getUser()
    {
        return this.user;
    }

    public void setUser(User user)
    {
        this.user = user;
    }

    public Filter getFilter()
    {
        return this.filter;
    }

    public void setFilter(Filter filter)
    {
        this.filter = filter;
    }

    public Task getTask()
    {
        return this.task;
    }

    public void setTask(Task task)
    {
        this.task = task;
    }

}
