package gran.model;

import java.io.Serializable;
import java.util.Set;

/** This class describes general properties of user group */
public class Prstatus extends Named implements Serializable, Comparable
{

    //private Integer priv; //persistent

    private Set rolestatusSet; //persistent
    private Set mprstatusSet; //persistent
    private Set userSet; //persistent
    private Set cprstatusSet;

    private User user;

    public Prstatus(String id, String name, User user)
    {
        this.id = id;
        this.user = user;
        //this.priv = priv;
        this.name = name;
    }

    public Prstatus()
    {
    }

    public Prstatus(String id, User user)
    {
        this.id = id;
        this.user = user;
    }


    public User getUser()
    {
        return this.user;
    }

    public void setUser(User user)
    {
        this.user = user;
    }



    public Set getRolestatusSet()
    {
        return this.rolestatusSet;
    }

    public void setRolestatusSet(Set rolestatusSet)
    {
        this.rolestatusSet = rolestatusSet;
    }

    public Set getMprstatusSet()
    {
        return this.mprstatusSet;
    }

    public void setMprstatusSet(Set mprstatusSet)
    {
        this.mprstatusSet = mprstatusSet;
    }

    public Set getUserSet()
    {
        return this.userSet;
    }

    public void setUserSet(Set userSet)
    {
        this.userSet = userSet;
    }


    public Set getCprstatusSet()
    {
        return this.cprstatusSet;
    }

    public void setCprstatusSet(Set cprstatusSet)
    {
        this.cprstatusSet = cprstatusSet;
    }
}
