package gran.model;


import java.util.HashSet;
import java.util.Set;

/** Describes report type */
public class Rtype extends Named implements Comparable
{

    private String file; //persistent
    private String description; //persistent

    private Set reportSet = new HashSet(); //persistent


    public Rtype(String id, String name, String file, String description)
    {
        this.id = id;
        this.name = name;
        this.description = description;
        this.file = file;
    }

    public Rtype()
    {
    }


    public String getFile()
    {
        return this.file;
    }

    public void setFile(String file)
    {
        this.file = file;
    }

    public String getDescription()
    {
        return this.description;
    }

    public void setDescription(String description)
    {
        this.description = description;
    }

    public Set getReportSet()
    {
        return reportSet;
    }

    public void setReportSet(Set reportSet)
    {
        this.reportSet = reportSet;
    }


}
