CREATE TABLE gr_category (       category_id          VARCHAR2(32) NOT NULL,       category_name        VARCHAR2(200) NOT NULL,       category_workflow    VARCHAR2(32) NOT NULL,       category_task        VARCHAR2(32) NOT NULL,        category_isproject   INTEGER ,       CONSTRAINT xpkgr_category               PRIMARY KEY (category_id)) ;
CREATE TABLE gr_filter (       filter_id            VARCHAR2(32) NOT NULL,       filter_name          VARCHAR2(200) NOT NULL ,       filter_description   VARCHAR2(200) ,       filter_active        INTEGER ,       filter_priv          INTEGER ,       filter_task          VARCHAR2(32) NOT NULL,       filter_owner         VARCHAR2(32) NOT NULL,       CONSTRAINT xpkgr_filter               PRIMARY KEY (filter_id)) ;
CREATE TABLE gr_fvalue (       fvalue_id            VARCHAR2(32) NOT NULL,       fvalue_filter        VARCHAR2(32) NOT NULL,       fvalue_key           VARCHAR2(200) ,       fvalue_value         VARCHAR2(2000) ,        CONSTRAINT xpkgr_fvalue               PRIMARY KEY (fvalue_id)) ;
CREATE TABLE gr_message (       message_id           VARCHAR2(32) NOT NULL,       message_description  VARCHAR2(2000) ,       message_pruser       VARCHAR2(32) NOT NULL,       message_time         DATE ,       message_mstatus      VARCHAR2(32) NOT NULL,       message_hrs          NUMBER(10,2) ,       message_deadline     DATE ,       message_budget       NUMBER(10,2) ,       message_handler      VARCHAR2(32) ,       message_resolution   VARCHAR2(32) ,        message_longtext     VARCHAR2(32) ,       message_priority     VARCHAR2(32) ,       CONSTRAINT xpkgr_message              PRIMARY KEY (message_id)) ;
CREATE TABLE gr_mprstatus (       mprstatus_id         VARCHAR2(32) NOT NULL,       mprstatus_type       VARCHAR2(200) ,       mprstatus_mstatus    VARCHAR2(32) NOT NULL,       mprstatus_prstatus   VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_mprstatus               PRIMARY KEY (mprstatus_id)) ;
CREATE TABLE gr_mstatus (       mstatus_id           VARCHAR2(32) NOT NULL,       mstatus_name         VARCHAR2(200) NOT NULL,       mstatus_description  VARCHAR2(200) ,       mstatus_workflow     VARCHAR2(32) NOT NULL,        mstatus_isdefault    INTEGER ,        CONSTRAINT xpkgr_mstatus                 PRIMARY KEY (mstatus_id)) ;
CREATE TABLE gr_prstatus (       prstatus_id          VARCHAR2(32) NOT NULL,       prstatus_name        VARCHAR2(200) NOT NULL,       prstatus_user        VARCHAR2(32) NOT NULL,       CONSTRAINT xpkgr_prstatus               PRIMARY KEY (prstatus_id)) ;
CREATE TABLE gr_pruser (       pruser_id            VARCHAR2(32) NOT NULL,       pruser_task          VARCHAR2(32) NOT NULL,       pruser_user          VARCHAR2(32) NOT NULL,       pruser_acl           INTEGER ,       pruser_filter        VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_pruser               PRIMARY KEY (pruser_id)) ;
CREATE TABLE gr_resolution (       resolution_id        VARCHAR2(32) NOT NULL,       resolution_name      VARCHAR2(200) NOT NULL,       resolution_mstatus   VARCHAR2(32) NOT NULL,        resolution_isdefault INTEGER ,       CONSTRAINT xpkgr_resolution               PRIMARY KEY (resolution_id)) ;
CREATE TABLE gr_role (       role_id              VARCHAR2(32) NOT NULL,       role_name            VARCHAR2(200) NOT NULL,       role_description     VARCHAR2(200) ,        CONSTRAINT xpkgr_role               PRIMARY KEY (role_id)) ;
CREATE TABLE gr_rolestatus (       rolestatus_id        VARCHAR2(32) NOT NULL,       rolestatus_prstatus  VARCHAR2(32) NOT NULL,       rolestatus_role      VARCHAR2(32) NOT NULL,       CONSTRAINT xpkgr_rolestatus               PRIMARY KEY (rolestatus_id)) ;
CREATE TABLE gr_status (       status_id            VARCHAR2(32) NOT NULL,       status_name          VARCHAR2(200) NOT NULL,       status_isstart         INTEGER ,       status_isfinish         INTEGER ,               status_workflow      VARCHAR2(32) NOT NULL,       status_color         VARCHAR2(200) NOT NULL ,       CONSTRAINT xpkgr_status               PRIMARY KEY (status_id)) ;
CREATE TABLE gr_subscriber (       subscriber_id        VARCHAR2(32) NOT NULL,       subscriber_user      VARCHAR2(32) NOT NULL,       subscriber_filter    VARCHAR2(32) NOT NULL,       subscriber_task      VARCHAR2(32) NOT NULL,       subscriber_startdate DATE ,       subscriber_stopdate  DATE ,       subscriber_nextrun   DATE ,       subscriber_interval  INTEGER ,       CONSTRAINT xpkgr_subscriber               PRIMARY KEY (subscriber_id)) ;
CREATE TABLE gr_notification (       notification_id        VARCHAR2(32) NOT NULL,       notification_user      VARCHAR2(32) NOT NULL,       notification_filter    VARCHAR2(32) NOT NULL,       notification_task      VARCHAR2(32) NOT NULL,       CONSTRAINT xpkgr_notification               PRIMARY KEY (notification_id)) ;
CREATE TABLE gr_task (       task_id              VARCHAR2(32) NOT NULL,       task_shortname       VARCHAR2(200) ,       task_name            VARCHAR2(200) NOT NULL,       task_submitdate      DATE ,       task_updatedate      DATE ,       task_closedate       DATE ,       task_description     VARCHAR2(2000) ,       task_abudget         NUMBER(10,2) ,       task_budget          NUMBER(10,2) ,       task_deadline        DATE ,       task_category        VARCHAR2(32) NOT NULL,       task_status          VARCHAR2(32) NOT NULL,       task_resolution      VARCHAR2(32) ,       task_priority        VARCHAR2(32) ,       task_submitter       VARCHAR2(32) ,       task_handler         VARCHAR2(32) ,       task_parent          VARCHAR2(32) ,        task_longtext        VARCHAR2(32) ,	task_number         VARCHAR2(32) ,       CONSTRAINT xpkgr_task              PRIMARY KEY (task_id)) ;
CREATE TABLE gr_transition (       transition_id        VARCHAR2(32) NOT NULL,       transition_start     VARCHAR2(32) NOT NULL,       transition_finish    VARCHAR2(32) NOT NULL,       transition_mstatus   VARCHAR2(32) NOT NULL,       CONSTRAINT xpkgr_transition               PRIMARY KEY (transition_id)) ;
CREATE TABLE gr_udf (       udf_id               VARCHAR2(32) NOT NULL,       udf_caption          VARCHAR2(200) ,       udf_order            INTEGER ,       udf_def              VARCHAR2(200) ,       udf_required         INTEGER ,       udf_type             INTEGER ,       udf_visible          INTEGER ,       udf_mail             INTEGER ,       udf_udfsource        VARCHAR2(32) NOT NULL,       udf_formula_longtext VARCHAR2(32) ,       CONSTRAINT xpkgr_udf              PRIMARY KEY (udf_id)) ;
CREATE TABLE gr_udflist (       udflist_id           VARCHAR2(32) NOT NULL,       udflist_val          VARCHAR2(200) ,       udflist_order        INTEGER ,       udflist_udf          VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_udflist               PRIMARY KEY (udflist_id)) ;
CREATE TABLE gr_udfsource (       udfsource_id         VARCHAR2(32) NOT NULL,       udfsource_task       VARCHAR2(32) ,       udfsource_user       VARCHAR2(32) ,       udfsource_workflow   VARCHAR2(32) ,        CONSTRAINT xpkgr_udfsource               PRIMARY KEY (udfsource_id)) ;
CREATE TABLE gr_udfval (       udfval_id            VARCHAR2(32) NOT NULL,       udfval_str           VARCHAR2(200) ,       udfval_num           NUMBER ,       udfval_dat           DATE ,       udfval_udflist       VARCHAR2(32) ,       udfval_udf           VARCHAR2(32) NOT NULL,       udfval_udfsource     VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_udfval               PRIMARY KEY (udfval_id)) ;
CREATE TABLE gr_user (       user_id              VARCHAR2(32) NOT NULL,       user_login           VARCHAR2(200) NOT NULL,       user_password        VARCHAR2(200) ,       user_name            VARCHAR2(200) NOT NULL,        user_tel             VARCHAR2(200) ,       user_email           VARCHAR2(200) ,       user_smsmail         VARCHAR2(200) ,       user_active          INTEGER ,       user_prstatus        VARCHAR2(32) NOT NULL,       user_service         VARCHAR2(200) ,       user_locale          VARCHAR2(200) ,       user_timezone        VARCHAR2(200) ,       user_last_visited    DATE ,       user_child_allowed   INTEGER ,       user_manager         VARCHAR2(32) ,       user_expiredate      DATE ,       user_company         VARCHAR2(200) ,       user_emailtype       VARCHAR2(32) ,       user_default_project VARCHAR2(32) ,       CONSTRAINT xpkgr_user              PRIMARY KEY (user_id)) ;
CREATE TABLE gr_workflow (       workflow_id          VARCHAR2(32) NOT NULL,       workflow_name        VARCHAR2(200) NOT NULL,       workflow_task        VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_workflow               PRIMARY KEY (workflow_id)) ;
CREATE TABLE gr_report (       report_id            VARCHAR2(32) NOT NULL,       report_name          VARCHAR2(200) NOT NULL,       report_rtype         VARCHAR2(32) NOT NULL,       report_priv          INTEGER ,       report_filter        VARCHAR2(32) NOT NULL,       report_task          VARCHAR2(32) NOT NULL,       report_owner         VARCHAR2(32) NOT NULL,       report_params         VARCHAR2(2000) ,        CONSTRAINT xpkgr_report              PRIMARY KEY (report_id)) ;
CREATE TABLE gr_rtype (       rtype_id             VARCHAR2(32) NOT NULL,       rtype_name           VARCHAR2(200) NOT NULL,       rtype_file           VARCHAR2(200) NOT NULL,       rtype_description    VARCHAR2(2000) ,       CONSTRAINT xpkgr_rtype              PRIMARY KEY (rtype_id)) ;
CREATE TABLE gr_priority (        priority_id             VARCHAR2(32) NOT NULL,        priority_name           VARCHAR2(200) NOT NULL,        priority_order          INTEGER NOT NULL,        priority_workflow       VARCHAR2(32) NOT NULL,        priority_description    VARCHAR2(2000) ,        priority_def            INTEGER ,        CONSTRAINT xpkgr_priority              PRIMARY KEY (priority_id)) ;
CREATE TABLE gr_catrelation (        catrelation_id          VARCHAR2(32) NOT NULL,        catrelation_category    VARCHAR2(32) NOT NULL,        catrelation_child       VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_catrelation                        PRIMARY KEY(catrelation_id)) ;
CREATE TABLE gr_cprstatus (        cprstatus_id VARCHAR2(32) NOT NULL,        cprstatus_type VARCHAR2(200) ,        cprstatus_category VARCHAR2(32) NOT NULL,        cprstatus_prstatus VARCHAR2(32) NOT NULL,        CONSTRAINT xpkgr_cprstatus                        PRIMARY KEY(cprstatus_id)) ;
CREATE TABLE gr_mailimport (        mailimport_id               VARCHAR2(32) NOT NULL,        mailimport_category         VARCHAR2(32) NOT NULL,        mailimport_task             VARCHAR2(32) NOT NULL,        mailimport_keywords         VARCHAR2(200) ,        mailimport_search_in        INTEGER NOT NULL,        CONSTRAINT xpkgr_mailimport                        PRIMARY KEY(mailimport_id)) ;
CREATE TABLE gr_longtext (        longtext_id           VARCHAR2(32) NOT NULL,        longtext_reference    VARCHAR2(32),        longtext_order        INTEGER NOT NULL,        longtext_value        VARCHAR2(2000) NOT NULL,        CONSTRAINT xpkgr_longtext                        PRIMARY KEY(longtext_id)) ;
CREATE TABLE gr_emailtype (        emailtype_id           VARCHAR2(32) NOT NULL,        emailtype_name         VARCHAR2(200) NOT NULL,        CONSTRAINT xpkgr_emailtype                        PRIMARY KEY(emailtype_id)) ;
CREATE INDEX icategory_1 ON gr_category(       category_workflow              );
CREATE INDEX icategory_2 ON gr_category(       category_task                  );
CREATE INDEX ifilter_1 ON gr_filter(       filter_task                    );
CREATE INDEX ifilter_2 ON gr_filter(       filter_owner);
CREATE INDEX ifilter_3 ON gr_filter(       filter_priv                    );
CREATE INDEX ifvalue_1 ON gr_fvalue(       fvalue_filter                  );
CREATE INDEX imessage_1 ON gr_message(       message_pruser);
CREATE INDEX imessage_2 ON gr_message(       message_handler);
CREATE INDEX imessage_3 ON gr_message(       message_resolution);
CREATE INDEX imessage_4 ON gr_message(       message_mstatus);
CREATE INDEX imessage_5 ON gr_message(       message_hrs);
CREATE INDEX imessage_6 ON gr_message(       message_time);
CREATE INDEX imessage_7 ON gr_message(       message_priority);
CREATE INDEX imessage_8 ON gr_message(       message_deadline);
CREATE INDEX imessage_9 ON gr_message(       message_budget);
CREATE INDEX imprstatus_1 ON gr_mprstatus(       mprstatus_type);
CREATE INDEX imprstatus_2 ON gr_mprstatus(       mprstatus_mstatus);
CREATE INDEX imprstatus_3 ON gr_mprstatus(       mprstatus_prstatus);
CREATE INDEX imstatus_1 ON gr_mstatus(       mstatus_workflow               );
CREATE INDEX iprstatus_1 ON gr_prstatus(       prstatus_user);
CREATE INDEX ipruser_1 ON gr_pruser(       pruser_filter);
CREATE INDEX ipruser_2 ON gr_pruser(       pruser_task);
CREATE INDEX ipruser_3 ON gr_pruser(       pruser_user);
CREATE INDEX ireport_1 ON gr_report(       report_filter);
CREATE INDEX ireport_2 ON gr_report(       report_task);
CREATE INDEX ireport_3 ON gr_report(       report_owner);
CREATE INDEX ireport_4 ON gr_report(       report_priv);
CREATE INDEX ireport_5 ON gr_report(       report_rtype);
CREATE INDEX iresolution_1 ON gr_resolution(       resolution_mstatus             );
CREATE INDEX irolestatus_1 ON gr_rolestatus(       rolestatus_prstatus            );
CREATE INDEX irolestatus_2 ON gr_rolestatus(       rolestatus_role                );
CREATE INDEX istatus_1 ON gr_status(       status_workflow);
CREATE INDEX isubscriber_1 ON gr_subscriber(       subscriber_task                );
CREATE INDEX isubscriber_2 ON gr_subscriber(       subscriber_user                );
CREATE INDEX isubscriber_3 ON gr_subscriber(       subscriber_filter              );
CREATE INDEX itask_1 ON gr_task(       task_parent);
CREATE INDEX itask_2 ON gr_task(       task_shortname);
CREATE INDEX itask_3 ON gr_task(       task_priority);
CREATE INDEX itask_4 ON gr_task(        task_submitter);
CREATE INDEX itask_5 ON gr_task(        task_handler);
CREATE INDEX itask_6 ON gr_task(        task_resolution);
CREATE INDEX itask_7 ON gr_task(        task_status);
CREATE INDEX itask_8 ON gr_task(        task_category);
CREATE INDEX itask_9 ON gr_task(        task_number);
CREATE UNIQUE INDEX itransition_1 ON gr_transition(       transition_start               ,       transition_finish              ,       transition_mstatus             );
CREATE INDEX itransition_2 ON gr_transition(       transition_start);
CREATE INDEX itransition_3 ON gr_transition(       transition_finish);
CREATE INDEX itransition_4 ON gr_transition(       transition_mstatus);
CREATE INDEX iudf_1 ON gr_udf(       udf_udfsource                  );
CREATE INDEX iudf_2 ON gr_udf(       udf_visible                    );
CREATE INDEX iudf_3 ON gr_udf(       udf_mail                       );
CREATE INDEX iudf_4 ON gr_udf(       udf_formula_longtext);
CREATE INDEX iudflist_1 ON gr_udflist(       udflist_udf                    );
CREATE INDEX iudfsource_1 ON gr_udfsource(       udfsource_task                 );
CREATE INDEX iudfsource_2 ON gr_udfsource(       udfsource_user                 );
CREATE INDEX iudfsource_3 ON gr_udfsource(       udfsource_workflow);
CREATE INDEX iudfval_1 ON gr_udfval(       udfval_udfsource               );
CREATE INDEX iudfval_2 ON gr_udfval(       udfval_udflist                 );
CREATE INDEX iudfval_3 ON gr_udfval(       udfval_udf                     );
CREATE UNIQUE INDEX iuser_1 ON gr_user(       user_login                     );
CREATE INDEX iuser_2 ON gr_user(       user_manager                   );
CREATE INDEX iuser_3 ON gr_user(        user_prstatus);
CREATE INDEX iuser_4 ON gr_user(        user_emailtype);
CREATE INDEX iuser_5 ON gr_user(        user_default_project);
CREATE INDEX iworkflow_1 ON gr_workflow(       workflow_task                  );
CREATE INDEX ipriority_1 ON gr_priority(       priority_order);
CREATE INDEX ipriority_2 ON gr_priority(       priority_workflow);
CREATE INDEX icatrelation_1 ON gr_catrelation(       catrelation_category);
CREATE INDEX icatrelation_2 ON gr_catrelation(       catrelation_child);
CREATE INDEX icprstatus_1 ON gr_cprstatus(       cprstatus_category);
CREATE INDEX icprstatus_2 ON gr_cprstatus(       cprstatus_prstatus);
CREATE INDEX inotification_1 ON gr_notification(       notification_task                );
CREATE INDEX inotification_2 ON gr_notification(       notification_user                );
CREATE INDEX inotification_3 ON gr_notification(       notification_filter                );
CREATE INDEX imailimport_2 ON gr_mailimport(       mailimport_category);
CREATE INDEX imailimport_4 ON gr_mailimport(       mailimport_task);
CREATE INDEX imailimport_6 ON gr_mailimport(       mailimport_search_in);
CREATE INDEX ilongtext_1 ON gr_longtext(       longtext_reference);
CREATE INDEX ilongtext_2 ON gr_longtext(       longtext_order);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('1', 'project', '1', '1', 1);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('10', 'release', '1', '1', 0);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('11', 'branch', '1', '1', 0);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('12', 'module', '1', '1', 0);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('2', 'bug', '1', '1', 0);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('3', 'task', '1', '1', 0);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('4', 'research', '1', '1', 0);
insert into gr_category (category_id, category_name, category_workflow, category_task, category_isproject) values ('5', 'question', '1', '1', 0);
insert into gr_filter (filter_id, filter_name, filter_description, filter_active, filter_priv, filter_task, filter_owner) values ('1', 'All', 'List all items (tasks, bugs,...)', 1, 0, '1', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFBD8874E0303BD58EAC7288', 'A', '1', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFBE8874E0303BD58EAC7288', 'A', '2', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFBF8874E0303BD58EAC7288', 'A', '3', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC08874E0303BD58EAC7288', 'A', '6', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC18874E0303BD58EAC7288', 'A', '4', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC28874E0303BD58EAC7288', 'A', '5', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC38874E0303BD58EAC7288', 'M', '1', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC48874E0303BD58EAC7288', 'M', '2', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC58874E0303BD58EAC7288', 'M', '3', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC68874E0303BD58EAC7288', 'M', '6', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC78874E0303BD58EAC7288', 'M', '4', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC88874E0303BD58EAC7288', 'M', '5', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFC98874E0303BD58EAC7288', 'V', '1', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFCA8874E0303BD58EAC7288', 'V', '2', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFCB8874E0303BD58EAC7288', 'V', '3', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFCC8874E0303BD58EAC7288', 'V', '6', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFCD8874E0303BD58EAC7288', 'V', '4', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFCE8874E0303BD58EAC7288', 'V', '5', '5');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFF98874E0303BD58EAC7288', 'A', '1', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFFA8874E0303BD58EAC7288', 'A', '2', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFFB8874E0303BD58EAC7288', 'A', '3', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFFC8874E0303BD58EAC7288', 'A', '6', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFFD8874E0303BD58EAC7288', 'A', '4', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFFE8874E0303BD58EAC7288', 'A', '5', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BAFFF8874E0303BD58EAC7288', 'M', '1', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0008874E0303BD58EAC7288', 'M', '2', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0018874E0303BD58EAC7288', 'M', '3', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0028874E0303BD58EAC7288', 'M', '6', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0038874E0303BD58EAC7288', 'M', '4', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0048874E0303BD58EAC7288', 'M', '5', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0058874E0303BD58EAC7288', 'V', '1', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0068874E0303BD58EAC7288', 'V', '2', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0078874E0303BD58EAC7288', 'V', '3', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0088874E0303BD58EAC7288', 'V', '6', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0098874E0303BD58EAC7288', 'V', '4', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB00A8874E0303BD58EAC7288', 'V', '5', '1');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB01B8874E0303BD58EAC7288', 'A', '1', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB01C8874E0303BD58EAC7288', 'A', '2', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB01D8874E0303BD58EAC7288', 'A', '3', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB01E8874E0303BD58EAC7288', 'A', '6', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB01F8874E0303BD58EAC7288', 'A', '4', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0208874E0303BD58EAC7288', 'A', '5', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0218874E0303BD58EAC7288', 'M', '1', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0228874E0303BD58EAC7288', 'M', '2', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0238874E0303BD58EAC7288', 'M', '3', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0248874E0303BD58EAC7288', 'M', '6', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0258874E0303BD58EAC7288', 'M', '4', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0268874E0303BD58EAC7288', 'M', '5', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0278874E0303BD58EAC7288', 'V', '1', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0288874E0303BD58EAC7288', 'V', '2', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0298874E0303BD58EAC7288', 'V', '3', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB02A8874E0303BD58EAC7288', 'V', '6', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB02B8874E0303BD58EAC7288', 'V', '4', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB02C8874E0303BD58EAC7288', 'V', '5', '2');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB03A8874E0303BD58EAC7288', 'A', '1', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB03B8874E0303BD58EAC7288', 'A', '2', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB03C8874E0303BD58EAC7288', 'A', '3', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB03D8874E0303BD58EAC7288', 'A', '6', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB03E8874E0303BD58EAC7288', 'A', '4', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB03F8874E0303BD58EAC7288', 'A', '5', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0408874E0303BD58EAC7288', 'M', '1', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0418874E0303BD58EAC7288', 'M', '2', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0428874E0303BD58EAC7288', 'M', '3', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0438874E0303BD58EAC7288', 'M', '6', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0448874E0303BD58EAC7288', 'M', '4', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0458874E0303BD58EAC7288', 'M', '5', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0468874E0303BD58EAC7288', 'V', '1', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0478874E0303BD58EAC7288', 'V', '2', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0488874E0303BD58EAC7288', 'V', '3', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0498874E0303BD58EAC7288', 'V', '6', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB04A8874E0303BD58EAC7288', 'V', '4', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB04B8874E0303BD58EAC7288', 'V', '5', '3');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0538874E0303BD58EAC7288', 'A', '1', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0548874E0303BD58EAC7288', 'A', '2', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0558874E0303BD58EAC7288', 'A', '3', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0568874E0303BD58EAC7288', 'A', '6', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0578874E0303BD58EAC7288', 'A', '4', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0588874E0303BD58EAC7288', 'A', '5', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0598874E0303BD58EAC7288', 'M', '1', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB05A8874E0303BD58EAC7288', 'M', '2', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB05B8874E0303BD58EAC7288', 'M', '3', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB05C8874E0303BD58EAC7288', 'M', '6', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB05D8874E0303BD58EAC7288', 'M', '4', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB05E8874E0303BD58EAC7288', 'M', '5', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB05F8874E0303BD58EAC7288', 'V', '1', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0608874E0303BD58EAC7288', 'V', '2', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0618874E0303BD58EAC7288', 'V', '3', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0628874E0303BD58EAC7288', 'V', '6', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0638874E0303BD58EAC7288', 'V', '4', '4');
insert into gr_mprstatus (mprstatus_id, mprstatus_type, mprstatus_mstatus, mprstatus_prstatus) values ('B1865C5BB0648874E0303BD58EAC7288', 'V', '5', '4');
insert into gr_mstatus (mstatus_id, mstatus_name, mstatus_description, mstatus_workflow, mstatus_isdefault) values ('1', 'note', 'Note', '1', 1);
insert into gr_mstatus (mstatus_id, mstatus_name, mstatus_description, mstatus_workflow, mstatus_isdefault) values ('2', 'process', 'This task will be processed', '1', 0);
insert into gr_mstatus (mstatus_id, mstatus_name, mstatus_description, mstatus_workflow, mstatus_isdefault) values ('3', 'resolve', 'The task resolved', '1', 0);
insert into gr_mstatus (mstatus_id, mstatus_name, mstatus_description, mstatus_workflow, mstatus_isdefault) values ('4', 'verify', 'Verification info', '1', 0);
insert into gr_mstatus (mstatus_id, mstatus_name, mstatus_description, mstatus_workflow, mstatus_isdefault) values ('5', 'close', 'Task closed', '1', 0);
insert into gr_mstatus (mstatus_id, mstatus_name, mstatus_description, mstatus_workflow, mstatus_isdefault) values ('6', 'reopen', 'Task reopened', '1', 0);
insert into gr_prstatus (prstatus_id, prstatus_name, prstatus_user) values ('5', 'administrator', '1');
insert into gr_prstatus (prstatus_id, prstatus_name, prstatus_user) values ('1', 'manager', '1');
insert into gr_prstatus (prstatus_id, prstatus_name, prstatus_user) values ('2', 'developer', '1');
insert into gr_prstatus (prstatus_id, prstatus_name, prstatus_user) values ('3', 'tester', '1');
insert into gr_prstatus (prstatus_id, prstatus_name, prstatus_user) values ('4', 'viewer', '1');
insert into gr_pruser (pruser_id, pruser_task, pruser_user, pruser_acl, pruser_filter) values ('1', '1', '1', 1, '1');
insert into gr_pruser (pruser_id, pruser_task, pruser_user, pruser_acl, pruser_filter) values ('2', '2', '2', 1, '1');
insert into gr_report (report_id, report_name, report_rtype, report_priv, report_filter, report_task, report_owner, report_params) values ('1', 'List Report', '1', 0, '1', '1', '1', NULL);
insert into gr_report (report_id, report_name, report_rtype, report_priv, report_filter, report_task, report_owner, report_params) values ('2', 'Detailed Report', '2', 0, '1', '1', '1', NULL);
insert into gr_resolution (resolution_id, resolution_name, resolution_mstatus, resolution_isdefault) values ('1', 'open', '6', 1);
insert into gr_resolution (resolution_id, resolution_name, resolution_mstatus, resolution_isdefault) values ('2', 'fixed', '3', 1);
insert into gr_resolution (resolution_id, resolution_name, resolution_mstatus, resolution_isdefault) values ('3', 'not fixable', '3', 0);
insert into gr_resolution (resolution_id, resolution_name, resolution_mstatus, resolution_isdefault) values ('4', 'suspended', '3', 0);
insert into gr_resolution (resolution_id, resolution_name, resolution_mstatus, resolution_isdefault) values ('5', 'not a bug', '3', 0);
insert into gr_resolution (resolution_id, resolution_name, resolution_mstatus, resolution_isdefault) values ('6', 'duplicate', '3', 0);
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF698874E0303BD58EAC7288', 'USER_VIEW', 'Can view users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF6A8874E0303BD58EAC7288', 'USER_CREATE', 'Can create new users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF6B8874E0303BD58EAC7288', 'USER_MODIFY', 'Can modify users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF6C8874E0303BD58EAC7288', 'USER_DELETE', 'Can delete users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF6D8874E0303BD58EAC7288', 'USER_MOVE', 'Can move users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF6E8874E0303BD58EAC7288', 'USER_LIST', 'Can list users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF6F8874E0303BD58EAC7288', 'USER_CHANGE_PASSWORD', 'Can change password for users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF708874E0303BD58EAC7288', 'USERUDF_CREATE', 'Can create UDF for users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF718874E0303BD58EAC7288', 'USERUDF_VIEW', 'Can view UDF for users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF728874E0303BD58EAC7288', 'USERUDF_MODIFY', 'Can modify UDF for users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF738874E0303BD58EAC7288', 'USERUDF_DELETE', 'Can delete UDF for users');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF748874E0303BD58EAC7288', 'USERTYPE_CREATE', 'Can create new user types (status)');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF758874E0303BD58EAC7288', 'USERTYPE_MODIFY', 'Can modify user types');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF768874E0303BD58EAC7288', 'USERTYPE_DELETE', 'Can delete user types');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF778874E0303BD58EAC7288', 'USERTYPE_VIEW', 'Can view user types');
insert into gr_role (role_id, role_name, role_description) values ('B186595BAF778884E0303BD58EAC7285', 'USERTYPE_COPY', 'Can copy user types');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF788874E0303BD58EAC7288', 'TASK_VIEW', 'Can view tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF798874E0303BD58EAC7288', 'TASK_CREATE', 'Can create new tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF7A8874E0303BD58EAC7288', 'TASK_MODIFY', 'Can modify tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF7B8874E0303BD58EAC7288', 'TASK_DELETE', 'Can delete tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF7C8874E0303BD58EAC7288', 'TASK_MOVE', 'Can move tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF7D8874E0303BD58EAC7288', 'TASK_ACL', 'Can modify ACL');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF7E8874E0303BD58EAC7288', 'TASK_FILTER', 'Can view and customize filters
                for tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF7F8874E0303BD58EAC7288', 'TASK_EXPORT', 'Can export tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF808874E0303BD58EAC7288', 'TASK_REPORTS', 'Can generate report');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF818874E0303BD58EAC7288', 'TASK_LIST', 'Can view list of subtasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF828874E0303BD58EAC7288', 'TASKUDF_CREATE', 'Can create UDF for tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF838874E0303BD58EAC7288', 'TASKUDF_VIEW', 'Can view UDF for tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF848874E0303BD58EAC7288', 'TASKUDF_MODIFY', 'Can modify UDF for tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF858874E0303BD58EAC7288', 'TASKUDF_DELETE', 'Can delete UDF for tasks');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF868874E0303BD58EAC7288', 'MESSAGE_VIEW', 'Can view messages (list)');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF878874E0303BD58EAC7288', 'MESSAGE_CREATE', 'Can create new messages');
insert into gr_role (role_id, role_name, role_description) values ('dd865C5BAF879874E0303BD58EAC7288', 'MESSAGE_SCHEDULER', 'Can modify task schedule');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF888874E0303BD58EAC7288', 'MESSAGE_DELETE', 'Can delete messages');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF898874E0303BD58EAC7288', 'UPLOAD_VIEW', 'Can view list of uploads and download files');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8A8874E0303BD58EAC7288', 'UPLOAD_CREATE', 'Can upload files');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8B8874E0303BD58EAC7288', 'UPLOAD_DELETE', 'Can delete uploads');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8C8874E0303BD58EAC7288', 'WORKFLOW_VIEW', 'Can view workflows');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8D8874E0303BD58EAC7288', 'WORKFLOW_CREATE', 'Can create new workflows');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8D8874444444D58EAC7288', 'WORKFLOW_COPY', 'Can copy workflows');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8E8874E0303BD58EAC7288', 'WORKFLOW_DELETE', 'Can delete workflows');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8F8874E0303BD58EAC7288', 'WORKFLOW_MODIFY', 'Can modify workflows');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF908874E0303BD58EAC7288', 'CATEGORY_MODIFY', 'Can modify categories');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF918874E0303BD58EAC7288', 'CATEGORY_CREATE', 'Can create new categories');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF928874E0303BD58EAC7288', 'CATEGORY_DELETE', 'Can delete categories');
insert into gr_role (role_id, role_name, role_description) values ('ff808081f6d2881d00f6d28d05b70001', 'MAILIMPORT_EDIT', 'Can configure task import settings');
insert into gr_role (role_id, role_name, role_description) values ('ff808081f6d2881d00f6d28d05b70009', 'MAILIMPORT_VIEW', 'Can view task import settings');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF938874E0303BD58EAC7288', '5', 'B1865C5BAF698874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF938874E0303BD58EAC7284', '5', 'B1865C5BAF8D8874444444D58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('81865C5BAF938874E0303BD54EAC7288', '5', 'B186595BAF778884E0303BD58EAC7285');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF948874E0303BD58EAC7288', '5', 'B1865C5BAF6A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF958874E0303BD58EAC7288', '5', 'B1865C5BAF6B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF968874E0303BD58EAC7288', '5', 'B1865C5BAF6C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF978874E0303BD58EAC7288', '5', 'B1865C5BAF6E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF988874E0303BD58EAC7288', '5', 'B1865C5BAF6D8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF998874E0303BD58EAC7288', '5', 'B1865C5BAF6F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF9A8874E0303BD58EAC7288', '5', 'B1865C5BAF718874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF9B8874E0303BD58EAC7288', '5', 'B1865C5BAF708874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF9C8874E0303BD58EAC7288', '5', 'B1865C5BAF728874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF9D8874E0303BD58EAC7288', '5', 'B1865C5BAF738874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF9E8874E0303BD58EAC7288', '5', 'B1865C5BAF778874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF9F8874E0303BD58EAC7288', '5', 'B1865C5BAF748874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA08874E0303BD58EAC7288', '5', 'B1865C5BAF758874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA18874E0303BD58EAC7288', '5', 'B1865C5BAF768874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA28874E0303BD58EAC7288', '5', 'B1865C5BAF788874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA38874E0303BD58EAC7288', '5', 'B1865C5BAF798874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA48874E0303BD58EAC7288', '5', 'B1865C5BAF7A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA58874E0303BD58EAC7288', '5', 'B1865C5BAF7B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA68874E0303BD58EAC7288', '5', 'B1865C5BAF818874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA78874E0303BD58EAC7288', '5', 'B1865C5BAF7C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA88874E0303BD58EAC7288', '5', 'B1865C5BAF7D8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFA98874E0303BD58EAC7288', '5', 'B1865C5BAF7E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFAA8874E0303BD58EAC7288', '5', 'B1865C5BAF7F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFAB8874E0303BD58EAC7288', '5', 'B1865C5BAF808874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFAC8874E0303BD58EAC7288', '5', 'B1865C5BAF838874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFAD8874E0303BD58EAC7288', '5', 'B1865C5BAF828874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFAE8874E0303BD58EAC7288', '5', 'B1865C5BAF848874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFAF8874E0303BD58EAC7288', '5', 'B1865C5BAF858874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB08874E0303BD58EAC7288', '5', 'B1865C5BAF868874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB18874E0303BD58EAC7288', '5', 'B1865C5BAF878874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB28874E0303BD58EAC7288', '5', 'B1865C5BAF888874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB38874E0303BD58EAC7288', '5', 'B1865C5BAF898874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB48874E0303BD58EAC7288', '5', 'B1865C5BAF8A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB58874E0303BD58EAC7288', '5', 'B1865C5BAF8B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB68874E0303BD58EAC7288', '5', 'B1865C5BAF8C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB78874E0303BD58EAC7288', '5', 'B1865C5BAF8D8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB88874E0303BD58EAC7288', '5', 'B1865C5BAF8F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFB98874E0303BD58EAC7288', '5', 'B1865C5BAF8E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFBA8874E0303BD58EAC7288', '5', 'B1865C5BAF918874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFBB8874E0303BD58EAC7288', '5', 'B1865C5BAF908874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFBC8874E0303BD58EAC7288', '5', 'B1865C5BAF928874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d1be00002', '5', 'ff808081f6d2881d00f6d28d05b70001');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d1be00009', '5', 'ff808081f6d2881d00f6d28d05b70009');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('dd865C5BAF879874E0303BD58EAC7205', '5', 'dd865C5BAF879874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFCF8874E0303BD58EAC7288', '1', 'B1865C5BAF698874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD08874E0303BD58EAC7288', '1', 'B1865C5BAF6A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD18874E0303BD58EAC7288', '1', 'B1865C5BAF6B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('8186545BAF935874E0303BD64E7C7888', '1', 'B186595BAF778884E0303BD58EAC7285');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD28874E0303BD58EAC7288', '1', 'B1865C5BAF6C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD38874E0303BD58EAC7288', '1', 'B1865C5BAF6E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD48874E0303BD58EAC7288', '1', 'B1865C5BAF6D8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD58874E0303BD58EAC7288', '1', 'B1865C5BAF6F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD68874E0303BD58EAC7288', '1', 'B1865C5BAF718874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD78874E0303BD58EAC7288', '1', 'B1865C5BAF708874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD88874E0303BD58EAC7288', '1', 'B1865C5BAF728874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFD98874E0303BD58EAC7288', '1', 'B1865C5BAF738874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFDA8874E0303BD58EAC7288', '1', 'B1865C5BAF778874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFDB8874E0303BD58EAC7288', '1', 'B1865C5BAF748874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFDC8874E0303BD58EAC7288', '1', 'B1865C5BAF758874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFDD8874E0303BD58EAC7288', '1', 'B1865C5BAF768874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAF938874E0303BD58EAC7283', '1', 'B1865C5BAF8D8874444444D58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFDE8874E0303BD58EAC7288', '1', 'B1865C5BAF788874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFDF8874E0303BD58EAC7288', '1', 'B1865C5BAF798874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE08874E0303BD58EAC7288', '1', 'B1865C5BAF7A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE18874E0303BD58EAC7288', '1', 'B1865C5BAF7B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE28874E0303BD58EAC7288', '1', 'B1865C5BAF818874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE38874E0303BD58EAC7288', '1', 'B1865C5BAF7C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE48874E0303BD58EAC7288', '1', 'B1865C5BAF7D8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE58874E0303BD58EAC7288', '1', 'B1865C5BAF7E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE68874E0303BD58EAC7288', '1', 'B1865C5BAF7F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE78874E0303BD58EAC7288', '1', 'B1865C5BAF808874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE88874E0303BD58EAC7288', '1', 'B1865C5BAF838874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFE98874E0303BD58EAC7288', '1', 'B1865C5BAF828874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFEA8874E0303BD58EAC7288', '1', 'B1865C5BAF848874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFEB8874E0303BD58EAC7288', '1', 'B1865C5BAF858874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFEC8874E0303BD58EAC7288', '1', 'B1865C5BAF868874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFED8874E0303BD58EAC7288', '1', 'B1865C5BAF878874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFEE8874E0303BD58EAC7288', '1', 'B1865C5BAF888874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFEF8874E0303BD58EAC7288', '1', 'B1865C5BAF898874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF08874E0303BD58EAC7288', '1', 'B1865C5BAF8A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF18874E0303BD58EAC7288', '1', 'B1865C5BAF8B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF28874E0303BD58EAC7288', '1', 'B1865C5BAF8C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF38874E0303BD58EAC7288', '1', 'B1865C5BAF8D8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF48874E0303BD58EAC7288', '1', 'B1865C5BAF8F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF58874E0303BD58EAC7288', '1', 'B1865C5BAF8E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF68874E0303BD58EAC7288', '1', 'B1865C5BAF918874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF78874E0303BD58EAC7288', '1', 'B1865C5BAF908874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BAFF88874E0303BD58EAC7288', '1', 'B1865C5BAF928874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d33b10003', '1', 'ff808081f6d2881d00f6d28d05b70001');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d33b10009', '1', 'ff808081f6d2881d00f6d28d05b70009');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('dd865C5BAF879874E0303BD58EAC7201', '1', 'dd865C5BAF879874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB00B8874E0303BD58EAC7288', '2', 'B1865C5BAF698874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB00C8874E0303BD58EAC7288', '2', 'B1865C5BAF6F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB00D8874E0303BD58EAC7288', '2', 'B1865C5BAF718874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB00E8874E0303BD58EAC7288', '2', 'B1865C5BAF788874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB00F8874E0303BD58EAC7288', '2', 'B1865C5BAF798874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0108874E0303BD58EAC7288', '2', 'B1865C5BAF7A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0118874E0303BD58EAC7288', '2', 'B1865C5BAF818874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0128874E0303BD58EAC7288', '2', 'B1865C5BAF7E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0138874E0303BD58EAC7288', '2', 'B1865C5BAF808874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0148874E0303BD58EAC7288', '2', 'B1865C5BAF838874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0158874E0303BD58EAC7288', '2', 'B1865C5BAF868874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0168874E0303BD58EAC7288', '2', 'B1865C5BAF878874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0178874E0303BD58EAC7288', '2', 'B1865C5BAF898874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0188874E0303BD58EAC7288', '2', 'B1865C5BAF8A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0198874E0303BD58EAC7288', '2', 'B1865C5BAF8B8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB01A8874E0303BD58EAC7288', '2', 'B1865C5BAF8C8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB02D8874E0303BD58EAC7288', '3', 'B1865C5BAF698874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB02E8874E0303BD58EAC7288', '3', 'B1865C5BAF6F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB02F8874E0303BD58EAC7288', '3', 'B1865C5BAF718874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0308874E0303BD58EAC7288', '3', 'B1865C5BAF788874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0318874E0303BD58EAC7288', '3', 'B1865C5BAF798874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0328874E0303BD58EAC7288', '3', 'B1865C5BAF818874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0338874E0303BD58EAC7288', '3', 'B1865C5BAF7E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0348874E0303BD58EAC7288', '3', 'B1865C5BAF808874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0358874E0303BD58EAC7288', '3', 'B1865C5BAF838874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0368874E0303BD58EAC7288', '3', 'B1865C5BAF868874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0378874E0303BD58EAC7288', '3', 'B1865C5BAF878874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0388874E0303BD58EAC7288', '3', 'B1865C5BAF898874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0398874E0303BD58EAC7288', '3', 'B1865C5BAF8A8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB04C8874E0303BD58EAC7288', '4', 'B1865C5BAF698874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB04D8874E0303BD58EAC7288', '4', 'B1865C5BAF6F8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB04E8874E0303BD58EAC7288', '4', 'B1865C5BAF788874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB04F8874E0303BD58EAC7288', '4', 'B1865C5BAF818874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0508874E0303BD58EAC7288', '4', 'B1865C5BAF7E8874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0518874E0303BD58EAC7288', '4', 'B1865C5BAF838874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('B1865C5BB0528874E0303BD58EAC7288', '4', 'B1865C5BAF868874E0303BD58EAC7288');
insert into gr_rtype (rtype_id, rtype_name, rtype_description, rtype_file) values ('1', 'List', 'Task List', 'ListReport.jasper');
insert into gr_rtype (rtype_id, rtype_name, rtype_description, rtype_file) values ('2', 'Detailed', 'Detailed Task List', 'DetailedReport.jasper');
insert into gr_rtype (rtype_id, rtype_name, rtype_description, rtype_file) values ('3', 'Distribution', 'Data Distribution Report', 'DistributionReport.jasper');
insert into gr_rtype (rtype_id, rtype_name, rtype_description, rtype_file) values ('4', 'Money', 'Money Report', 'MoneyReport.jasper');
insert into gr_status (status_id, status_name, status_isstart, status_isfinish, status_workflow, status_color) values ('1', 'new', 1, 0, '1', '#f29999');
insert into gr_status (status_id, status_name, status_isstart, status_isfinish, status_workflow, status_color) values ('2', 'processing', 0, 0, '1', '#9999f2');
insert into gr_status (status_id, status_name, status_isstart, status_isfinish, status_workflow, status_color) values ('3', 'resolved', 0, 0, '1', '#99f2a8');
insert into gr_status (status_id, status_name, status_isstart, status_isfinish, status_workflow, status_color) values ('4', 'verified', 0, 0, '1', '#f2ec99');
insert into gr_status (status_id, status_name, status_isstart, status_isfinish, status_workflow, status_color) values ('5', 'closed', 0, 1, '1', '#dedede');
insert into gr_priority (priority_id, priority_order, priority_name, priority_description, priority_workflow, priority_def) values ('1', 1, 'Low', 'Low priority', '1', 0);
insert into gr_priority (priority_id, priority_order, priority_name, priority_description, priority_workflow, priority_def) values ('2', 2, 'Normal', 'Normal priority', '1', 1);
insert into gr_priority (priority_id, priority_order, priority_name, priority_description, priority_workflow, priority_def) values ('3', 3, 'High', 'High priority', '1', 0);
insert into gr_priority (priority_id, priority_order, priority_name, priority_description, priority_workflow, priority_def) values ('4', 4, 'Urgent', 'Urgent priority', '1', 0);
insert into gr_priority (priority_id, priority_order, priority_name, priority_description, priority_workflow, priority_def) values ('5', 5, 'Immediate', 'Immediate priority', '1', 0);
insert into gr_priority (priority_id, priority_order, priority_name, priority_description, priority_workflow, priority_def) values ('6', 6, 'Support', 'Support priority', '1', 0);
insert into gr_task (task_id, task_shortname, task_name, task_number, task_submitdate, task_updatedate, task_closedate, task_description, task_abudget, task_budget, task_deadline, task_category, task_status, task_resolution, task_priority, task_submitter, task_handler, task_parent) values ('1', NULL, 'Projects', '1', SYSDATE , SYSDATE , NULL, NULL, NULL, NULL, NULL, '1', '2', NULL, '2', '1', '1', NULL);
insert into gr_task (task_id, task_shortname, task_name, task_number, task_submitdate, task_updatedate, task_closedate, task_description, task_abudget, task_budget, task_deadline, task_category, task_status, task_resolution, task_priority, task_submitter, task_handler, task_parent) values ('2', NULL, 'Test', '2', SYSDATE , SYSDATE , NULL, NULL, NULL, NULL, NULL, '1', '2', NULL, '2', '2', '2', '1');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0658874E0303BD58EAC7288', '1', '1', '1');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0668874E0303BD58EAC7288', '2', '2', '1');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0678874E0303BD58EAC7288', '3', '3', '1');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0688874E0303BD58EAC7288', '4', '4', '1');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0698874E0303BD58EAC7288', '5', '5', '1');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB06A8874E0303BD58EAC7288', '1', '2', '2');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB06B8874E0303BD58EAC7288', '2', '3', '3');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB06C8874E0303BD58EAC7288', '1', '3', '3');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB06D8874E0303BD58EAC7288', '3', '4', '4');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB06E8874E0303BD58EAC7288', '3', '5', '5');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB06F8874E0303BD58EAC7288', '4', '5', '5');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0708874E0303BD58EAC7288', '3', '2', '6');
insert into gr_transition (transition_id, transition_start, transition_finish, transition_mstatus) values ('B1865C5BB0718874E0303BD58EAC7288', '5', '2', '6');
insert into gr_user (user_id, user_login, user_password, user_name, user_tel, user_email, user_smsmail, user_active, user_prstatus, user_service, user_locale, user_timezone, user_last_visited, user_child_allowed, user_manager, user_emailtype, user_default_project) values ('1', 'root', '63a9f0ea7bb98050796b649e85481845', 'Admin', NULL, NULL, NULL, NULL, '5', NULL, 'en_US', 'America/New_York', NULL, 0, NULL, '1', '1');
insert into gr_user (user_id, user_login, user_password, user_name, user_tel, user_email, user_smsmail, user_active, user_prstatus, user_service, user_locale, user_timezone, user_last_visited, user_child_allowed, user_manager, user_emailtype, user_default_project) values ('2', 'test', '098f6bcd4621d373cade4e832627b4f6', 'Test', NULL, NULL, NULL, NULL, '1', NULL, 'en_US', 'America/New_York', NULL, 0, '1', '1', '2');
insert into gr_workflow (workflow_id, workflow_name, workflow_task) values ('1', 'Default', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('1', '1', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('2', '1', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('3', '1', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('4', '1', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('5', '1', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('6', '1', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('7', '1', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('8', '1', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('11', '2', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('12', '2', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('13', '2', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('14', '2', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('15', '2', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('16', '2', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('17', '2', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('18', '2', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('21', '3', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('22', '3', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('23', '3', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('24', '3', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('25', '3', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('26', '3', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('27', '3', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('28', '3', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('31', '4', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('32', '4', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('33', '4', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('34', '4', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('35', '4', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('36', '4', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('37', '4', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('38', '4', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('41', '5', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('42', '5', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('43', '5', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('44', '5', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('45', '5', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('46', '5', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('47', '5', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('48', '5', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('61', '10', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('62', '10', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('63', '10', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('64', '10', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('65', '10', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('66', '10', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('67', '10', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('68', '10', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('71', '11', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('72', '11', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('73', '11', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('74', '11', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('75', '11', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('76', '11', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('77', '11', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('78', '11', '12');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('81', '12', '1');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('82', '12', '2');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('83', '12', '3');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('84', '12', '4');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('85', '12', '5');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('86', '12', '10');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('87', '12', '11');
insert into gr_catrelation (catrelation_id, catrelation_category, catrelation_child) values ('88', '12', '12');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('2', '1', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('3', '1', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('4', '1', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('12', '1', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('13', '1', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('14', '1', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('22', '1', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('23', '1', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('24', '1', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('32', '1', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('33', '1', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('34', '1', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('42', '1', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('43', '1', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('44', '1', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('102', '2', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('103', '2', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('104', '2', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('112', '2', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('113', '2', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('114', '2', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('122', '2', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('123', '2', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('124', '2', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('132', '2', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('133', '2', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('134', '2', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('142', '2', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('143', '2', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('144', '2', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('202', '3', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('203', '3', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('204', '3', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('212', '3', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('213', '3', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('214', '3', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('222', '3', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('223', '3', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('224', '3', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('232', '3', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('233', '3', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('234', '3', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('242', '3', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('243', '3', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('244', '3', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('302', '4', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('303', '4', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('304', '4', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('312', '4', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('313', '4', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('314', '4', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('322', '4', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('323', '4', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('324', '4', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('332', '4', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('333', '4', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('334', '4', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('342', '4', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('343', '4', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('344', '4', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('402', '5', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('403', '5', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('404', '5', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('412', '5', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('413', '5', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('414', '5', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('422', '5', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('423', '5', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('424', '5', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('432', '5', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('433', '5', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('434', '5', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('442', '5', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('443', '5', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('444', '5', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('502', '10', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('503', '10', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('504', '10', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('512', '10', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('513', '10', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('514', '10', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('522', '10', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('523', '10', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('524', '10', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('532', '10', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('533', '10', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('534', '10', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('542', '10', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('543', '10', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('544', '10', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('602', '11', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('603', '11', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('604', '11', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('612', '11', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('613', '11', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('614', '11', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('622', '11', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('623', '11', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('624', '11', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('632', '11', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('633', '11', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('634', '11', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('642', '11', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('643', '11', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('644', '11', '4', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('702', '12', '5', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('703', '12', '5', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('704', '12', '5', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('712', '12', '1', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('713', '12', '1', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('714', '12', '1', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('722', '12', '2', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('723', '12', '2', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('724', '12', '2', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('732', '12', '3', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('733', '12', '3', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('734', '12', '3', 'D');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('742', '12', '4', 'E');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('743', '12', '4', 'C');
insert into gr_cprstatus (cprstatus_id, cprstatus_category, cprstatus_prstatus, cprstatus_type) values ('744', '12', '4', 'D');
insert into gr_emailtype (emailtype_id, emailtype_name) values ('1', 'HTML');
insert into gr_emailtype (emailtype_id, emailtype_name) values ('2', 'text');
ALTER TABLE gr_category       ADD  ( CONSTRAINT fcategory_1              FOREIGN KEY (category_task)                             REFERENCES gr_task (task_id)  );
ALTER TABLE gr_category       ADD  ( CONSTRAINT fcategory_2              FOREIGN KEY (category_workflow)                             REFERENCES gr_workflow (workflow_id) );
ALTER TABLE gr_filter       ADD  ( CONSTRAINT ffilter_1              FOREIGN KEY (filter_owner)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_filter       ADD  ( CONSTRAINT ffilter_2              FOREIGN KEY (filter_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_fvalue       ADD  ( CONSTRAINT ffvalue_1              FOREIGN KEY (fvalue_filter)                             REFERENCES gr_filter (filter_id) ) ;
ALTER TABLE gr_message       ADD  ( CONSTRAINT fmessage_1              FOREIGN KEY (message_resolution)                             REFERENCES gr_resolution (resolution_id) ) ;
ALTER TABLE gr_message       ADD  ( CONSTRAINT fmessage_2              FOREIGN KEY (message_handler)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_message       ADD  ( CONSTRAINT fmessage_3              FOREIGN KEY (message_mstatus)                             REFERENCES gr_mstatus (mstatus_id) ) ;
ALTER TABLE gr_message       ADD  ( CONSTRAINT fmessage_4              FOREIGN KEY (message_pruser)                             REFERENCES gr_pruser (pruser_id) ) ;
ALTER TABLE gr_message       ADD  ( CONSTRAINT fmessage_6              FOREIGN KEY (message_priority)                             REFERENCES gr_priority (priority_id) ) ;
ALTER TABLE gr_mprstatus       ADD  ( CONSTRAINT fmprstatus_1              FOREIGN KEY (mprstatus_prstatus)                             REFERENCES gr_prstatus (prstatus_id) ) ;
ALTER TABLE gr_mprstatus       ADD  ( CONSTRAINT fmprstatus_2              FOREIGN KEY (mprstatus_mstatus)                             REFERENCES gr_mstatus (mstatus_id) ) ;
ALTER TABLE gr_mstatus       ADD  ( CONSTRAINT fmstatus_1              FOREIGN KEY (mstatus_workflow)                             REFERENCES gr_workflow (workflow_id) ) ;
ALTER TABLE gr_prstatus       ADD  ( CONSTRAINT fprstatus_1              FOREIGN KEY (prstatus_user)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_pruser       ADD  ( CONSTRAINT fpruser_1              FOREIGN KEY (pruser_filter)                             REFERENCES gr_filter (filter_id) ) ;
ALTER TABLE gr_pruser       ADD  ( CONSTRAINT fpruser_2              FOREIGN KEY (pruser_user)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_pruser       ADD  ( CONSTRAINT fpruser_3              FOREIGN KEY (pruser_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_report       ADD  ( CONSTRAINT freport_1              FOREIGN KEY (report_owner)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_report       ADD  ( CONSTRAINT freport_2              FOREIGN KEY (report_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_report       ADD  ( CONSTRAINT freport_3              FOREIGN KEY (report_filter)                             REFERENCES gr_filter (filter_id) ) ;
ALTER TABLE gr_report       ADD  ( CONSTRAINT freport_4              FOREIGN KEY (report_rtype)                             REFERENCES gr_rtype (rtype_id) ) ;
ALTER TABLE gr_resolution       ADD  ( CONSTRAINT fresolution_1              FOREIGN KEY (resolution_mstatus)                             REFERENCES gr_mstatus (mstatus_id) ) ;
ALTER TABLE gr_rolestatus       ADD  ( CONSTRAINT frolestatus_1              FOREIGN KEY (rolestatus_role)                             REFERENCES gr_role (role_id) ) ;
ALTER TABLE gr_rolestatus       ADD  ( CONSTRAINT frolestatus_2              FOREIGN KEY (rolestatus_prstatus)                             REFERENCES gr_prstatus (prstatus_id) ) ;
ALTER TABLE gr_status       ADD  ( CONSTRAINT fstatus_1              FOREIGN KEY (status_workflow)                             REFERENCES gr_workflow (workflow_id) ) ;
ALTER TABLE gr_subscriber       ADD  ( CONSTRAINT fsubscriber_1              FOREIGN KEY (subscriber_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_subscriber       ADD  ( CONSTRAINT fsubscriber_2              FOREIGN KEY (subscriber_filter)                             REFERENCES gr_filter (filter_id) ) ;
ALTER TABLE gr_subscriber       ADD  ( CONSTRAINT fsubscriber_3              FOREIGN KEY (subscriber_user)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_1              FOREIGN KEY (task_submitter)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_2              FOREIGN KEY (task_handler)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_3              FOREIGN KEY (task_resolution)                             REFERENCES gr_resolution (resolution_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_4              FOREIGN KEY (task_status)                             REFERENCES gr_status (status_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_5              FOREIGN KEY (task_category)                             REFERENCES gr_category (category_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_6              FOREIGN KEY (task_parent)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_7              FOREIGN KEY (task_priority)                             REFERENCES gr_priority (priority_id) ) ;
ALTER TABLE gr_transition       ADD  ( CONSTRAINT ftransition_1              FOREIGN KEY (transition_mstatus)                             REFERENCES gr_mstatus (mstatus_id) ) ;
ALTER TABLE gr_transition       ADD  ( CONSTRAINT ftransition_3              FOREIGN KEY (transition_finish)                             REFERENCES gr_status (status_id) ) ;
ALTER TABLE gr_transition       ADD  ( CONSTRAINT ftransition_4              FOREIGN KEY (transition_start)                             REFERENCES gr_status (status_id) ) ;
ALTER TABLE gr_udf       ADD  ( CONSTRAINT fudf_1              FOREIGN KEY (udf_udfsource)                             REFERENCES gr_udfsource (udfsource_id) ) ;
ALTER TABLE gr_udf       ADD  ( CONSTRAINT fudf_2              FOREIGN KEY (udf_formula_longtext)                             REFERENCES gr_longtext (longtext_id) ) ;
ALTER TABLE gr_udflist       ADD  ( CONSTRAINT fudflist_1              FOREIGN KEY (udflist_udf)                             REFERENCES gr_udf (udf_id) ) ;
ALTER TABLE gr_udfsource       ADD  ( CONSTRAINT fudfsource_1              FOREIGN KEY (udfsource_user)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_udfsource       ADD  ( CONSTRAINT fudfsource_2              FOREIGN KEY (udfsource_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_udfsource       ADD  ( CONSTRAINT fudfsource_3              FOREIGN KEY (udfsource_workflow)                             REFERENCES gr_workflow (workflow_id) ) ;
ALTER TABLE gr_udfval       ADD  ( CONSTRAINT fudfval_1              FOREIGN KEY (udfval_udflist)                             REFERENCES gr_udflist (udflist_id) ) ;
ALTER TABLE gr_udfval       ADD  ( CONSTRAINT fudfval_2              FOREIGN KEY (udfval_udfsource)                             REFERENCES gr_udfsource (udfsource_id) ) ;
ALTER TABLE gr_udfval       ADD  ( CONSTRAINT fudfval_3              FOREIGN KEY (udfval_udf)                             REFERENCES gr_udf (udf_id) ) ;
ALTER TABLE gr_user       ADD  ( CONSTRAINT fuser_1              FOREIGN KEY (user_prstatus)                             REFERENCES gr_prstatus (prstatus_id) ) ;
ALTER TABLE gr_user       ADD  ( CONSTRAINT fuser_2              FOREIGN KEY (user_manager)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_user       ADD  ( CONSTRAINT fuser_3              FOREIGN KEY (user_emailtype)                             REFERENCES gr_emailtype (emailtype_id) ) ;
ALTER TABLE gr_user       ADD  ( CONSTRAINT fuser_4              FOREIGN KEY (user_default_project)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_workflow       ADD  ( CONSTRAINT fworkflow_1              FOREIGN KEY (workflow_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_priority       ADD  ( CONSTRAINT fpriority_1              FOREIGN KEY (priority_workflow)                             REFERENCES gr_workflow (workflow_id) ) ;
ALTER TABLE gr_catrelation       ADD  ( CONSTRAINT fcatrelation_1              FOREIGN KEY (catrelation_category)                             REFERENCES gr_category (category_id) ) ;
ALTER TABLE gr_catrelation       ADD  ( CONSTRAINT fcatrelation_2              FOREIGN KEY (catrelation_child)                             REFERENCES gr_category (category_id) ) ;
ALTER TABLE gr_cprstatus       ADD  ( CONSTRAINT fcprstatus_1              FOREIGN KEY (cprstatus_category)                             REFERENCES gr_category (category_id) ) ;
ALTER TABLE gr_cprstatus       ADD  ( CONSTRAINT fcprstatus_2              FOREIGN KEY (cprstatus_prstatus)                             REFERENCES gr_prstatus (prstatus_id) ) ;
ALTER TABLE gr_notification       ADD  ( CONSTRAINT fnotification_1              FOREIGN KEY (notification_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_notification       ADD  ( CONSTRAINT fnotification_2              FOREIGN KEY (notification_filter)                             REFERENCES gr_filter (filter_id) ) ;
ALTER TABLE gr_notification       ADD  ( CONSTRAINT fnotification_3              FOREIGN KEY (notification_user)                             REFERENCES gr_user (user_id) ) ;
ALTER TABLE gr_mailimport       ADD  ( CONSTRAINT fmailimport_2              FOREIGN KEY (mailimport_category)                             REFERENCES gr_category (category_id) ) ;
ALTER TABLE gr_mailimport       ADD  ( CONSTRAINT fmailimport_4              FOREIGN KEY (mailimport_task)                             REFERENCES gr_task (task_id) ) ;
ALTER TABLE gr_task       ADD  ( CONSTRAINT ftask_8              FOREIGN KEY (task_longtext)                             REFERENCES gr_longtext (longtext_id) ) ;
ALTER TABLE gr_message       ADD  ( CONSTRAINT fmessage_5              FOREIGN KEY (message_longtext)                             REFERENCES gr_longtext (longtext_id) ) ;
ALTER TABLE gr_longtext       ADD  ( CONSTRAINT flongtext_1              FOREIGN KEY (longtext_reference)                             REFERENCES gr_longtext (longtext_id) ) ;
