CREATE TABLE gr_mailimport (        mailimport_id               VARCHAR(32) NOT NULL,        mailimport_category         VARCHAR(32) NOT NULL,        mailimport_task             VARCHAR(32) NOT NULL,        mailimport_keywords         VARCHAR(200) ,        mailimport_search_in        INTEGER NOT NULL,        CONSTRAINT xpkgr_mailimport                        PRIMARY KEY(mailimport_id)) ;
CREATE TABLE gr_longtext (        longtext_id           VARCHAR(32) NOT NULL,        longtext_reference    VARCHAR(32),        longtext_order        INTEGER NOT NULL,        longtext_value        VARCHAR(2000) NOT NULL,        CONSTRAINT xpkgr_longtext                        PRIMARY KEY(longtext_id)) ;
CREATE TABLE gr_emailtype (        emailtype_id           VARCHAR(32) NOT NULL,        emailtype_name         VARCHAR(200) NOT NULL,        CONSTRAINT xpkgr_emailtype                        PRIMARY KEY(emailtype_id)) ;
ALTER TABLE gr_category       DROP   CONSTRAINT fcategory_1;
                             ALTER TABLE gr_category       DROP   CONSTRAINT fcategory_2;
                             ALTER TABLE gr_filter       DROP   CONSTRAINT ffilter_1;
                             ALTER TABLE gr_filter       DROP   CONSTRAINT ffilter_2;
                             ALTER TABLE gr_fvalue       DROP   CONSTRAINT ffvalue_1;
                             ALTER TABLE gr_message       DROP   CONSTRAINT fmessage_1;
                             ALTER TABLE gr_message       DROP   CONSTRAINT fmessage_2;
                             ALTER TABLE gr_message       DROP   CONSTRAINT fmessage_3;
                             ALTER TABLE gr_message       DROP   CONSTRAINT fmessage_4;
                             ALTER TABLE gr_mprstatus       DROP   CONSTRAINT fmprstatus_1;
                             ALTER TABLE gr_mprstatus       DROP   CONSTRAINT fmprstatus_2;
                             ALTER TABLE gr_mstatus       DROP   CONSTRAINT fmstatus_1;
                             ALTER TABLE gr_prstatus       DROP   CONSTRAINT fprstatus_1;
                             ALTER TABLE gr_pruser       DROP   CONSTRAINT fpruser_1;
                             ALTER TABLE gr_pruser       DROP   CONSTRAINT fpruser_2;
                             ALTER TABLE gr_pruser       DROP   CONSTRAINT fpruser_3;
                             ALTER TABLE gr_report       DROP   CONSTRAINT freport_1;
                             ALTER TABLE gr_report       DROP   CONSTRAINT freport_2;
                             ALTER TABLE gr_report       DROP   CONSTRAINT freport_3;
                             ALTER TABLE gr_report       DROP   CONSTRAINT freport_4;
                             ALTER TABLE gr_resolution       DROP   CONSTRAINT fresolution_1;
                             ALTER TABLE gr_rolestatus       DROP   CONSTRAINT frolestatus_1;
                             ALTER TABLE gr_rolestatus       DROP   CONSTRAINT frolestatus_2;
                             ALTER TABLE gr_status       DROP   CONSTRAINT fstatus_1;
                             ALTER TABLE gr_subscriber       DROP   CONSTRAINT fsubscriber_1;
                             ALTER TABLE gr_subscriber       DROP   CONSTRAINT fsubscriber_2;
                             ALTER TABLE gr_subscriber       DROP   CONSTRAINT fsubscriber_3;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_1;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_2;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_3;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_4;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_5;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_6;
                             ALTER TABLE gr_task       DROP   CONSTRAINT ftask_7;
                             ALTER TABLE gr_transition       DROP   CONSTRAINT ftransition_1;
                             ALTER TABLE gr_transition       DROP   CONSTRAINT ftransition_3;
                             ALTER TABLE gr_transition       DROP   CONSTRAINT ftransition_4;
                             ALTER TABLE gr_udf       DROP   CONSTRAINT fudf_1;
                             ALTER TABLE gr_udflist       DROP   CONSTRAINT fudflist_1;
                             ALTER TABLE gr_udfsource       DROP   CONSTRAINT fudfsource_1;
                             ALTER TABLE gr_udfsource       DROP   CONSTRAINT fudfsource_2;
                             ALTER TABLE gr_udfsource       DROP   CONSTRAINT fudfsource_3;
ALTER TABLE gr_udfval       DROP   CONSTRAINT fudfval_1;
                             ALTER TABLE gr_udfval       DROP   CONSTRAINT fudfval_2;
                             ALTER TABLE gr_udfval       DROP   CONSTRAINT fudfval_3;
                             ALTER TABLE gr_user       DROP   CONSTRAINT fuser_1;
                             ALTER TABLE gr_user       DROP   CONSTRAINT fuser_2;
                             ALTER TABLE gr_workflow       DROP   CONSTRAINT fworkflow_1;
                             ALTER TABLE gr_priority       DROP   CONSTRAINT fpriority_1;
                             ALTER TABLE gr_catrelation       DROP   CONSTRAINT fcatrelation_1;
                             ALTER TABLE gr_catrelation       DROP   CONSTRAINT fcatrelation_2;
                             ALTER TABLE gr_cprstatus       DROP   CONSTRAINT fcprstatus_1;
                             ALTER TABLE gr_cprstatus       DROP   CONSTRAINT fcprstatus_2;
                             ALTER TABLE gr_notification       DROP   CONSTRAINT fnotification_1;
                             ALTER TABLE gr_notification       DROP   CONSTRAINT fnotification_2;
                             ALTER TABLE gr_notification       DROP   CONSTRAINT fnotification_3;
DROP INDEX icategory_1;
DROP INDEX icategory_2;
DROP INDEX ifilter_1;
DROP INDEX ifilter_2;
DROP INDEX ifilter_3;
DROP INDEX ifvalue_1;
DROP INDEX imessage_1;
DROP INDEX imessage_2;
DROP INDEX imessage_3;
DROP INDEX imessage_4;
DROP INDEX imessage_5;
DROP INDEX imessage_6;
DROP INDEX imprstatus_1;
DROP INDEX imprstatus_2;
DROP INDEX imprstatus_3;
DROP INDEX imstatus_1;
DROP INDEX iprstatus_1;
DROP INDEX iprstatus_2;
DROP INDEX ipruser_1;
DROP INDEX ipruser_2;
DROP INDEX ipruser_3;
DROP INDEX ireport_1;
DROP INDEX ireport_2;
DROP INDEX ireport_3;
DROP INDEX ireport_4;
DROP INDEX ireport_5;
DROP INDEX iresolution_1;
DROP INDEX irolestatus_1;
DROP INDEX irolestatus_2;
DROP INDEX istatus_1;
DROP INDEX isubscriber_1;
DROP INDEX isubscriber_2;
DROP INDEX isubscriber_3;
DROP INDEX itask_1;
DROP INDEX itask_2;
DROP INDEX itask_3;
DROP INDEX itask_4;
DROP INDEX itask_5;
DROP INDEX itask_6;
DROP INDEX itask_7;
DROP INDEX itask_8;
DROP INDEX itransition_1;
DROP INDEX itransition_2;
DROP INDEX itransition_3;
DROP INDEX itransition_4;
DROP INDEX iudf_1;
DROP INDEX iudf_2;
DROP INDEX iudf_3;
DROP INDEX iudflist_1;
DROP INDEX iudfsource_1;
DROP INDEX iudfsource_2;
DROP INDEX iudfsource_3;
DROP INDEX iudfval_1;
DROP INDEX iudfval_2;
DROP INDEX iudfval_3;
DROP INDEX iuser_1;
DROP INDEX iuser_2;
DROP INDEX iuser_3;
DROP INDEX iworkflow_1;
DROP INDEX ipriority_1;
DROP INDEX ipriority_2;
DROP INDEX icatrelation_1;
DROP INDEX icatrelation_2;
DROP INDEX icprstatus_1;
DROP INDEX icprstatus_2;
DROP INDEX inotification_1;
DROP INDEX inotification_2;
DROP INDEX inotification_3;
ALTER TABLE gr_task       ADD    task_number VARCHAR(32)  ;
ALTER TABLE gr_user       ADD    user_expiredate TIMESTAMP  ;
ALTER TABLE gr_user       ADD    user_company VARCHAR(200)  ;
ALTER TABLE gr_user       ADD    user_emailtype VARCHAR(32)  ;
ALTER TABLE gr_task       ADD    task_longtext VARCHAR(32)  ;
ALTER TABLE gr_message       ADD    message_longtext VARCHAR(32)  ;
ALTER TABLE gr_prstatus       DROP     prstatus_priv ;
ALTER TABLE gr_udf       ADD    udf_formula_longtext VARCHAR(32)  ;
ALTER TABLE gr_message       ADD    message_budget DECIMAL(10,2)  ;
ALTER TABLE gr_message       ADD    message_deadline TIMESTAMP  ;
ALTER TABLE gr_message       ADD    message_priority VARCHAR(32)  ;
ALTER TABLE gr_user       ADD    user_default_project VARCHAR(32)  ;
UPDATE gr_prstatus SET prstatus_id='5' WHERE prstatus_id='0';
UPDATE gr_user SET user_prstatus='5' WHERE user_prstatus='0';
UPDATE gr_cprstatus SET cprstatus_prstatus='5' WHERE cprstatus_prstatus='0';
UPDATE gr_mprstatus SET mprstatus_prstatus='5' WHERE mprstatus_prstatus='0';
UPDATE gr_rolestatus SET rolestatus_prstatus='5' WHERE rolestatus_prstatus='0';
UPDATE gr_user SET user_emailtype='1';
UPDATE gr_user SET user_default_project = '1';
INSERT INTO gr_emailtype (emailtype_id, emailtype_name) VALUES ('1', 'HTML');
INSERT INTO gr_emailtype (emailtype_id, emailtype_name) VALUES ('2', 'text');
insert into gr_role (role_id, role_name, role_description) values ('B1865C5BAF8D8874444444D58EAC7288', 'WORKFLOW_COPY', 'Can copy workflows');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('81865C5BAF938874E0303BD54EA22228', '5', 'B1865C5BAF8D8874444444D58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('81865C5BAF938874E0303BD54E444448', '1', 'B1865C5BAF8D8874444444D58EAC7288');
insert into gr_role (role_id, role_name, role_description) values ('B186595BAF778884E0303BD58EAC7285', 'USERTYPE_COPY', 'Can copy user types');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('81865C5BAF938874E0303BD54EAC7288', '5', 'B186595BAF778884E0303BD58EAC7285');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('8186545BAF935874E0303BD64E7C7888', '1', 'B186595BAF778884E0303BD58EAC7285');
insert into gr_role (role_id, role_name, role_description) values ('ff808081f6d2881d00f6d28d05b70009', 'MAILIMPORT_VIEW', 'Can view task import settings');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d1be00009', '5', 'ff808081f6d2881d00f6d28d05b70009');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d33b10009', '1', 'ff808081f6d2881d00f6d28d05b70009');
insert into gr_role (role_id, role_name, role_description) values ('ff808081f6d2881d00f6d28d05b70001', 'MAILIMPORT_EDIT', 'Can configure task import settings');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d33b10003', '1', 'ff808081f6d2881d00f6d28d05b70001');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('ff808081f6d2881d00f6d28d1be00002', '5', 'ff808081f6d2881d00f6d28d05b70001');
insert into gr_role (role_id, role_name, role_description) values ('dd865C5BAF879874E0303BD58EAC7288', 'MESSAGE_SCHEDULER', 'Can modify task schedule');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('dd865C5BAF879874E0303BD58EAC7205', '5', 'dd865C5BAF879874E0303BD58EAC7288');
insert into gr_rolestatus (rolestatus_id, rolestatus_prstatus, rolestatus_role) values ('dd865C5BAF879874E0303BD58EAC7201', '1', 'dd865C5BAF879874E0303BD58EAC7288');
UPDATE gr_task SET task_resolution=NULL WHERE task_id='1';
UPDATE gr_task SET task_resolution=NULL WHERE task_id='2';
update gr_user set user_child_allowed=user_child_allowed-1 where user_child_allowed>0;
CREATE INDEX icategory_1 ON gr_category(       category_workflow              );
CREATE INDEX icategory_2 ON gr_category(       category_task                  );
CREATE INDEX ifilter_1 ON gr_filter(       filter_task                    );
CREATE INDEX ifilter_2 ON gr_filter(       filter_owner);
CREATE INDEX ifilter_3 ON gr_filter(       filter_priv                    );
CREATE INDEX ifvalue_1 ON gr_fvalue(       fvalue_filter                  );
CREATE INDEX imessage_1 ON gr_message(       message_pruser);
CREATE INDEX imessage_2 ON gr_message(       message_handler);
CREATE INDEX imessage_3 ON gr_message(       message_resolution);
CREATE INDEX imessage_4 ON gr_message(       message_mstatus);
CREATE INDEX imessage_5 ON gr_message(       message_hrs);
CREATE INDEX imessage_6 ON gr_message(       message_time);
CREATE INDEX imessage_7 ON gr_message(       message_priority);
CREATE INDEX imessage_8 ON gr_message(       message_deadline);
CREATE INDEX imessage_9 ON gr_message(       message_budget);
CREATE INDEX imprstatus_1 ON gr_mprstatus(       mprstatus_type);
CREATE INDEX imprstatus_2 ON gr_mprstatus(       mprstatus_mstatus);
CREATE INDEX imprstatus_3 ON gr_mprstatus(       mprstatus_prstatus);
CREATE INDEX imstatus_1 ON gr_mstatus(       mstatus_workflow               );
CREATE INDEX iprstatus_1 ON gr_prstatus(       prstatus_user);
CREATE INDEX ipruser_1 ON gr_pruser(       pruser_filter);
CREATE INDEX ipruser_2 ON gr_pruser(       pruser_task);
CREATE INDEX ipruser_3 ON gr_pruser(       pruser_user);
CREATE INDEX ireport_1 ON gr_report(       report_filter);
CREATE INDEX ireport_2 ON gr_report(       report_task);
CREATE INDEX ireport_3 ON gr_report(       report_owner);
CREATE INDEX ireport_4 ON gr_report(       report_priv);
CREATE INDEX ireport_5 ON gr_report(       report_rtype);
CREATE INDEX iresolution_1 ON gr_resolution(       resolution_mstatus             );
CREATE INDEX irolestatus_1 ON gr_rolestatus(       rolestatus_prstatus            );
CREATE INDEX irolestatus_2 ON gr_rolestatus(       rolestatus_role                );
CREATE INDEX istatus_1 ON gr_status(       status_workflow);
CREATE INDEX isubscriber_1 ON gr_subscriber(       subscriber_task                );
CREATE INDEX isubscriber_2 ON gr_subscriber(       subscriber_user                );
CREATE INDEX isubscriber_3 ON gr_subscriber(       subscriber_filter              );
CREATE INDEX itask_1 ON gr_task(       task_parent);
CREATE INDEX itask_2 ON gr_task(       task_shortname);
CREATE INDEX itask_3 ON gr_task(       task_priority);
CREATE INDEX itask_4 ON gr_task(        task_submitter);
CREATE INDEX itask_5 ON gr_task(        task_handler);
CREATE INDEX itask_6 ON gr_task(        task_resolution);
CREATE INDEX itask_7 ON gr_task(        task_status);
CREATE INDEX itask_8 ON gr_task(        task_category);
CREATE INDEX itask_9 ON gr_task(        task_number);
CREATE UNIQUE INDEX itransition_1 ON gr_transition(       transition_start               ,       transition_finish              ,       transition_mstatus             );
CREATE INDEX itransition_2 ON gr_transition(       transition_start);
CREATE INDEX itransition_3 ON gr_transition(       transition_finish);
CREATE INDEX itransition_4 ON gr_transition(       transition_mstatus);
CREATE INDEX iudf_1 ON gr_udf(       udf_udfsource                  );
CREATE INDEX iudf_2 ON gr_udf(       udf_visible                    );
CREATE INDEX iudf_3 ON gr_udf(       udf_mail                       );
CREATE INDEX iudf_4 ON gr_udf(       udf_formula_longtext);
CREATE INDEX iudflist_1 ON gr_udflist(       udflist_udf                    );
CREATE INDEX iudfsource_1 ON gr_udfsource(       udfsource_task                 );
CREATE INDEX iudfsource_2 ON gr_udfsource(       udfsource_user                 );
CREATE INDEX iudfsource_3 ON gr_udfsource(       udfsource_workflow);
CREATE INDEX iudfval_1 ON gr_udfval(       udfval_udfsource               );
CREATE INDEX iudfval_2 ON gr_udfval(       udfval_udflist                 );
CREATE INDEX iudfval_3 ON gr_udfval(       udfval_udf                     );
CREATE UNIQUE INDEX iuser_1 ON gr_user(       user_login                     );
CREATE INDEX iuser_2 ON gr_user(       user_manager                   );
CREATE INDEX iuser_3 ON gr_user(        user_prstatus);
CREATE INDEX iuser_4 ON gr_user(        user_emailtype);
CREATE INDEX iuser_5 ON gr_user(        user_default_project);
CREATE INDEX iworkflow_1 ON gr_workflow(       workflow_task                  );
CREATE INDEX ipriority_1 ON gr_priority(       priority_order);
CREATE INDEX ipriority_2 ON gr_priority(       priority_workflow);
CREATE INDEX icatrelation_1 ON gr_catrelation(       catrelation_category);
CREATE INDEX icatrelation_2 ON gr_catrelation(       catrelation_child);
CREATE INDEX icprstatus_1 ON gr_cprstatus(       cprstatus_category);
CREATE INDEX icprstatus_2 ON gr_cprstatus(       cprstatus_prstatus);
CREATE INDEX inotification_1 ON gr_notification(       notification_task                );
CREATE INDEX inotification_2 ON gr_notification(       notification_user                );
CREATE INDEX inotification_3 ON gr_notification(       notification_filter                );
CREATE INDEX imailimport_2 ON gr_mailimport(       mailimport_category);
CREATE INDEX imailimport_4 ON gr_mailimport(       mailimport_task);
CREATE INDEX imailimport_6 ON gr_mailimport(       mailimport_search_in);
CREATE INDEX ilongtext_1 ON gr_longtext(       longtext_reference);
CREATE INDEX ilongtext_2 ON gr_longtext(       longtext_order);
ALTER TABLE gr_category       ADD   CONSTRAINT fcategory_1              FOREIGN KEY (category_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_category       ADD   CONSTRAINT fcategory_2              FOREIGN KEY (category_workflow)                             REFERENCES gr_workflow (workflow_id) ;
ALTER TABLE gr_filter       ADD   CONSTRAINT ffilter_1              FOREIGN KEY (filter_owner)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_filter       ADD   CONSTRAINT ffilter_2              FOREIGN KEY (filter_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_fvalue       ADD   CONSTRAINT ffvalue_1              FOREIGN KEY (fvalue_filter)                             REFERENCES gr_filter (filter_id)  ;
ALTER TABLE gr_message       ADD   CONSTRAINT fmessage_1              FOREIGN KEY (message_resolution)                             REFERENCES gr_resolution (resolution_id)  ;
ALTER TABLE gr_message       ADD   CONSTRAINT fmessage_2              FOREIGN KEY (message_handler)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_message       ADD   CONSTRAINT fmessage_3              FOREIGN KEY (message_mstatus)                             REFERENCES gr_mstatus (mstatus_id)  ;
ALTER TABLE gr_message       ADD   CONSTRAINT fmessage_4              FOREIGN KEY (message_pruser)                             REFERENCES gr_pruser (pruser_id)  ;
ALTER TABLE gr_message       ADD   CONSTRAINT fmessage_6              FOREIGN KEY (message_priority)                             REFERENCES gr_priority (priority_id)  ;
ALTER TABLE gr_mprstatus       ADD   CONSTRAINT fmprstatus_1              FOREIGN KEY (mprstatus_prstatus)                             REFERENCES gr_prstatus (prstatus_id)  ;
ALTER TABLE gr_mprstatus       ADD   CONSTRAINT fmprstatus_2              FOREIGN KEY (mprstatus_mstatus)                             REFERENCES gr_mstatus (mstatus_id)  ;
ALTER TABLE gr_mstatus       ADD   CONSTRAINT fmstatus_1              FOREIGN KEY (mstatus_workflow)                             REFERENCES gr_workflow (workflow_id)  ;
ALTER TABLE gr_prstatus       ADD   CONSTRAINT fprstatus_1              FOREIGN KEY (prstatus_user)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_pruser       ADD   CONSTRAINT fpruser_1              FOREIGN KEY (pruser_filter)                             REFERENCES gr_filter (filter_id)  ;
ALTER TABLE gr_pruser       ADD   CONSTRAINT fpruser_2              FOREIGN KEY (pruser_user)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_pruser       ADD   CONSTRAINT fpruser_3              FOREIGN KEY (pruser_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_report       ADD   CONSTRAINT freport_1              FOREIGN KEY (report_owner)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_report       ADD   CONSTRAINT freport_2              FOREIGN KEY (report_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_report       ADD   CONSTRAINT freport_3              FOREIGN KEY (report_filter)                             REFERENCES gr_filter (filter_id)  ;
ALTER TABLE gr_report       ADD   CONSTRAINT freport_4              FOREIGN KEY (report_rtype)                             REFERENCES gr_rtype (rtype_id)  ;
ALTER TABLE gr_resolution       ADD   CONSTRAINT fresolution_1              FOREIGN KEY (resolution_mstatus)                             REFERENCES gr_mstatus (mstatus_id)  ;
ALTER TABLE gr_rolestatus       ADD   CONSTRAINT frolestatus_1              FOREIGN KEY (rolestatus_role)                             REFERENCES gr_role (role_id)  ;
ALTER TABLE gr_rolestatus       ADD   CONSTRAINT frolestatus_2              FOREIGN KEY (rolestatus_prstatus)                             REFERENCES gr_prstatus (prstatus_id)  ;
ALTER TABLE gr_status       ADD   CONSTRAINT fstatus_1              FOREIGN KEY (status_workflow)                             REFERENCES gr_workflow (workflow_id)  ;
ALTER TABLE gr_subscriber       ADD   CONSTRAINT fsubscriber_1              FOREIGN KEY (subscriber_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_subscriber       ADD   CONSTRAINT fsubscriber_2              FOREIGN KEY (subscriber_filter)                             REFERENCES gr_filter (filter_id)  ;
ALTER TABLE gr_subscriber       ADD   CONSTRAINT fsubscriber_3              FOREIGN KEY (subscriber_user)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_1              FOREIGN KEY (task_submitter)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_2              FOREIGN KEY (task_handler)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_3              FOREIGN KEY (task_resolution)                             REFERENCES gr_resolution (resolution_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_4              FOREIGN KEY (task_status)                             REFERENCES gr_status (status_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_5              FOREIGN KEY (task_category)                             REFERENCES gr_category (category_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_6              FOREIGN KEY (task_parent)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_7              FOREIGN KEY (task_priority)                             REFERENCES gr_priority (priority_id)  ;
ALTER TABLE gr_transition       ADD   CONSTRAINT ftransition_1              FOREIGN KEY (transition_mstatus)                             REFERENCES gr_mstatus (mstatus_id)  ;
ALTER TABLE gr_transition       ADD   CONSTRAINT ftransition_3              FOREIGN KEY (transition_finish)                             REFERENCES gr_status (status_id)  ;
ALTER TABLE gr_transition       ADD   CONSTRAINT ftransition_4              FOREIGN KEY (transition_start)                             REFERENCES gr_status (status_id)  ;
ALTER TABLE gr_udf       ADD   CONSTRAINT fudf_1              FOREIGN KEY (udf_udfsource)                             REFERENCES gr_udfsource (udfsource_id)  ;
ALTER TABLE gr_udf       ADD   CONSTRAINT fudf_2              FOREIGN KEY (udf_formula_longtext)                             REFERENCES gr_longtext (longtext_id)  ;
ALTER TABLE gr_udflist       ADD   CONSTRAINT fudflist_1              FOREIGN KEY (udflist_udf)                             REFERENCES gr_udf (udf_id)  ;
ALTER TABLE gr_udfsource       ADD   CONSTRAINT fudfsource_1              FOREIGN KEY (udfsource_user)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_udfsource       ADD   CONSTRAINT fudfsource_2              FOREIGN KEY (udfsource_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_udfsource       ADD   CONSTRAINT fudfsource_3              FOREIGN KEY (udfsource_workflow)                             REFERENCES gr_workflow (workflow_id)  ;
ALTER TABLE gr_udfval       ADD   CONSTRAINT fudfval_1              FOREIGN KEY (udfval_udflist)                             REFERENCES gr_udflist (udflist_id)  ;
ALTER TABLE gr_udfval       ADD   CONSTRAINT fudfval_2              FOREIGN KEY (udfval_udfsource)                             REFERENCES gr_udfsource (udfsource_id)  ;
ALTER TABLE gr_udfval       ADD   CONSTRAINT fudfval_3              FOREIGN KEY (udfval_udf)                             REFERENCES gr_udf (udf_id)  ;
ALTER TABLE gr_user       ADD   CONSTRAINT fuser_1              FOREIGN KEY (user_prstatus)                             REFERENCES gr_prstatus (prstatus_id)  ;
ALTER TABLE gr_user       ADD   CONSTRAINT fuser_2              FOREIGN KEY (user_manager)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_user       ADD   CONSTRAINT fuser_3              FOREIGN KEY (user_emailtype)                             REFERENCES gr_emailtype (emailtype_id)  ;
ALTER TABLE gr_user       ADD   CONSTRAINT fuser_4              FOREIGN KEY (user_default_project)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_workflow       ADD   CONSTRAINT fworkflow_1              FOREIGN KEY (workflow_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_priority       ADD   CONSTRAINT fpriority_1              FOREIGN KEY (priority_workflow)                             REFERENCES gr_workflow (workflow_id)  ;
ALTER TABLE gr_catrelation       ADD   CONSTRAINT fcatrelation_1              FOREIGN KEY (catrelation_category)                             REFERENCES gr_category (category_id)  ;
ALTER TABLE gr_catrelation       ADD   CONSTRAINT fcatrelation_2              FOREIGN KEY (catrelation_child)                             REFERENCES gr_category (category_id)  ;
ALTER TABLE gr_cprstatus       ADD   CONSTRAINT fcprstatus_1              FOREIGN KEY (cprstatus_category)                             REFERENCES gr_category (category_id)  ;
ALTER TABLE gr_cprstatus       ADD   CONSTRAINT fcprstatus_2              FOREIGN KEY (cprstatus_prstatus)                             REFERENCES gr_prstatus (prstatus_id)  ;
ALTER TABLE gr_notification       ADD   CONSTRAINT fnotification_1              FOREIGN KEY (notification_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_notification       ADD   CONSTRAINT fnotification_2              FOREIGN KEY (notification_filter)                             REFERENCES gr_filter (filter_id)  ;
ALTER TABLE gr_notification       ADD   CONSTRAINT fnotification_3              FOREIGN KEY (notification_user)                             REFERENCES gr_user (user_id)  ;
ALTER TABLE gr_mailimport       ADD   CONSTRAINT fmailimport_2              FOREIGN KEY (mailimport_category)                             REFERENCES gr_category (category_id)  ;
ALTER TABLE gr_mailimport       ADD   CONSTRAINT fmailimport_4              FOREIGN KEY (mailimport_task)                             REFERENCES gr_task (task_id)  ;
ALTER TABLE gr_task       ADD   CONSTRAINT ftask_8              FOREIGN KEY (task_longtext)                             REFERENCES gr_longtext (longtext_id)  ;
ALTER TABLE gr_message       ADD   CONSTRAINT fmessage_5              FOREIGN KEY (message_longtext)                             REFERENCES gr_longtext (longtext_id)  ;
ALTER TABLE gr_longtext       ADD   CONSTRAINT flongtext_1              FOREIGN KEY (longtext_reference)                             REFERENCES gr_longtext (longtext_id)  ;
